message("CloLibraryAPI_Plugin.pro build start")

build-debug {
	BUILD_DIR		= $$PWD/mac_release/CloLibraryAPI_Plugin/build
	BUILD_HOME_PATH = $$PWD
	MAC_RELEASE_PATH = $$PWD/mac_release
}

build-release {
	BUILD_DIR		= build
	BUILD_HOME_PATH = ../..
	MAC_RELEASE_PATH = ..
}

build-cmake {
	BUILD_DIR		= build
	BUILD_HOME_PATH = ../..
	MAC_RELEASE_PATH = ..
}

# Variables
TARGET		= CloLibraryAPI_Plugin
TEMPLATE	= lib
DESTDIR		= $$BUILD_DIR
OBJECTS_DIR	= $$BUILD_DIR/object
MOC_DIR		= $$BUILD_DIR/moc
UI_DIR		= $$BUILD_DIR/ui
RCC_DIR		= $$BUILD_DIR/rcc

# Deployment target
QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.14

CONFIG		+= qt opengl cocoa framework thread silent c++14
DEFINES		+= CLO_API_INTERFACE_STATIC_BUILD
QT			+= core widgets

# Compiler flags
COMMON_COMPILER_FLAGS	= -w -ferror-limit=0 -fno-builtin-function -fno-inline -finput-charset=UTF-8
QMAKE_CFLAGS			+= $$COMMON_COMPILER_FLAGS
QMAKE_CXXFLAGS			+= $$COMMON_COMPILER_FLAGS

# Compiler
distcc {
	QMAKE_CC	= distcc clang
	QMAKE_CXX	= distcc clang++
} else {
	QMAKE_CC	= clang
	QMAKE_CXX	= clang++
}

INCLUDEPATH += . \
	CLOAPIInterface \
	CLOAPIInterface/Lib \
	CLOAPIInterface/Samples/LibraryWindowImplementation \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes \
	/System/Library/Frameworks

build-cmake {
	LIBS += $$PWD/CLOAPIInterface/Lib/libCLOAPIInterface.dylib
} else {
	LIBS += ../../CLOAPIInterface/Lib/libCLOAPIInterface.dylib
}

LIBS += -framework QtCore -framework AGL -framework Cocoa
LIBS += -L/usr/lib

FORMS += CLOAPIInterface/Samples/LibraryWindowImplementation/classes/APISearchDialogSample.ui \
		CLOAPIInterface/Samples/LibraryWindowImplementation/classes/APISignInDialogSample.ui \
		CLOAPIInterface/Samples/LibraryWindowImplementation/classes/PLMSettingsSample.ui

HEADERS += CLOAPIInterface/LibraryWindowInterface.h \
	CLOAPIInterface/Samples/LibraryWindowImplementation/LibraryWindowImplPlugin.h \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/APISearchDialogSample.h \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/APISignInDialogSample.h \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/PLMSettingDataSample.h \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/PLMSettingsSample.h \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/APIStorage.h \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/APIUtility.h 

SOURCES += CLOAPIInterface/Samples/LibraryWindowImplementation/LibraryWindowImplPlugin.cpp \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/APISearchDialogSample.cpp \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/APISignInDialogSample.cpp \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/PLMSettingDataSample.cpp \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/PLMSettingsSample.cpp \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/APIStorage.cpp \
	CLOAPIInterface/Samples/LibraryWindowImplementation/classes/APIUtility.cpp 

RESOURCES = CLOAPIInterface/Samples/LibraryWindowImplementation/classes/CLOFormat.qrc

message("CloLibraryAPI_Plugin.pro compiler ...")
message($$QMAKE_CC)
message($$QMAKE_CXX)
